import os.path

from wizard import deploy
from wizard.app import mediawiki

def test_extract():
    app = mediawiki.Application('mediawiki')
    d = deploy.Deployment(os.path.join(os.path.dirname(os.path.abspath(__file__)), "mediawiki"))
    result = app.extract(d)
    assert result['WIZARD_SECRETKEY'] == '"wizard_proxykey"'
    assert result['WIZARD_SCRIPTPATH'] == '"/wizard_scriptpath"'
    assert result['WIZARD_SESSIONNAME'] == 'wizard_SID'
    assert result['WIZARD_DBSERVER'] == '"wizard_dbserver"'
    assert result['WIZARD_DBUSER'] == '"wizard_dbuser"'
    assert result['WIZARD_SITENAME'] == '"wizard_sitename"'
    assert result['WIZARD_DBPASSWORD'] == '"wizard_dbpassword"'
    assert result['WIZARD_EMERGENCYCONTACT'] == '"wizard_emergencycontact"'
    assert result['WIZARD_IP'] is None
    assert result['WIZARD_TMPDIR'] == '/mit/wizard/web_scripts_tmp'
    assert result['WIZARD_DBNAME'] == '"wizard_dbname"'

